Package org.apache.sling.commons.testing.integration

# Class TestInfoPassingClient

java.lang.Object
org.apache.commons.httpclient.HttpClient
org.apache.sling.commons.testing.integration.TestInfoPassingClient

public class TestInfoPassingClient extends org.apache.commons.httpclient.HttpClient
HttpClient extension which also passes test related headers as part of outgoing HTTP request

## Constructor Summary

Constructors
Constructor
Description
`TestInfoPassingClient()`

## Method Summary

Modifier and Type
Method
Description
`int`
`executeMethod(org.apache.commons.httpclient.HostConfiguration hostconfig, org.apache.commons.httpclient.HttpMethod method, org.apache.commons.httpclient.HttpState state)`

### Methods inherited from class org.apache.commons.httpclient.HttpClient

`executeMethod, executeMethod, getHost, getHostConfiguration, getHttpConnectionManager, getParams, getPort, getState, isStrictMode, setConnectionTimeout, setHostConfiguration, setHttpConnectionFactoryTimeout, setHttpConnectionManager, setParams, setState, setStrictMode, setTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestInfoPassingClient

public TestInfoPassingClient()

## Method Details

### executeMethod

public int executeMethod(org.apache.commons.httpclient.HostConfiguration hostconfig, org.apache.commons.httpclient.HttpMethod method, org.apache.commons.httpclient.HttpState state) throws IOException

Overrides:
  `executeMethod` in class `org.apache.commons.httpclient.HttpClient`
Throws:
  `IOException`